
float DS18B20_temperature1, DS18B20_temperature2;

//--------------------------------------------------

#include <OneWire.h>
#include <DallasTemperature.h>

OneWire DS18B20_oneWire(9);
DallasTemperature DS18B20_sensors(&DS18B20_oneWire);

void DS18B20_setup(void)
{
  DS18B20_sensors.begin();
}

void DS18B20_loop(void)
{
  DS18B20_sensors.requestTemperatures();

  DS18B20_temperature1 = DS18B20_sensors.getTempCByIndex(0);
  DS18B20_temperature2 = DS18B20_sensors.getTempCByIndex(1);

#ifdef DO_SERIAL
  Serial.print("DS18B20: ");
  Serial.print(DS18B20_temperature1);
  Serial.print(" degC, ");
  Serial.print(DS18B20_temperature2);
  Serial.println(" degC");
#endif
}
