
float Si7021_humidity, Si7021_temperature;

//--------------------------------------------------

#include <Si7021.h>

Si7021 si7021;

void Si7021_setup() {  
  si7021.begin();
}

void Si7021_loop() {

  Si7021_humidity = si7021.measureHumidity();
  Si7021_temperature = si7021.getTemperatureFromPreviousHumidityMeasurement();

#ifdef DO_SERIAL
  Serial.print("Si7021: ");
  Serial.print(Si7021_temperature);
  Serial.print(" degC ");
  Serial.print("Humidity: ");
  Serial.print(Si7021_humidity);
  Serial.println("%");
#endif  
}
